Incorrect Loading of Layer Group in Layer Definition File (*.qlr)

2015-06-04 07:12 PM - weston mcarron

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20972

Description

This issue is probably a little broader than this, but I can reproduce it in the following way:

    -  Add a layer from PostGIS with an SQL filter applied.

    -  Add another layer from PostGIS with a different SQL filter applied.

    -  Add both layers to a layer group.

    -  Save the layer group to a Layer Definition File (*.qlr).

    -  Load the *.qlr file into a non-empty project.

Every time I do it, the group loads with two layers, but the layers are always identical. In one case, it loaded the filter, the name and the

style of the first layer twice. In another case it loaded the filter from one layer and the name from the other.

Associated revisions

Revision a316290a - 2015-06-19 07:53 AM - Nathan Woodrow 

Fix #12881 - Fix loading of QLR files with the same layers

Using just date stamps wasn't fine enough

Funded By TechnologyOne, Australia

Revision f4eca224 - 2015-06-19 07:57 AM - Nathan Woodrow 

Fix #12881 - Fix loading of QLR files with the same layers

Using just date stamps wasn't fine enough

Funded By TechnologyOne, Australia

- Backported to 2.8.3

- Cherry-picked from a316290ada9e3141358d

History

#1 - 2015-06-05 11:33 AM - Giovanni Manghi

- Category changed from Browser to Map Legend

- Status changed from Open to Feedback
just tested the above steps on qgsi master and got always the expected outcome.

#2 - 2015-06-05 12:09 PM - weston mcarron

I just reread my steps and realized I wasn't clear enough.

On step 2, the layer has to be from the same PostGIS table as in step 1, but with a different filter applied.

So two layers, both of which draw on the same PostGIS table.

Can you reproduce it that way?

#3 - 2015-06-05 12:10 PM - weston mcarron

Also, the non-empty project in the last step seemed to be important for duplicating it. If I loaded the qlr file into a fresh project with no other layers it seemed

to work fine.

#4 - 2015-06-06 01:01 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.8.2 to master

Can you reproduce it that way?

yes

#5 - 2015-06-18 10:55 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"a316290ada9e3141358dfac4cc03c6567ea057b9".
